unit Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, DBGrids,Data, StdCtrls, ExtCtrls, DBCtrls, Mask, Menus,About;

type
  TMainfrm = class(TForm)
    Fieldgrb: TGroupBox;
    Surnamedbe: TDBEdit;
    Namedbe: TDBEdit;
    FatherNamedbe: TDBEdit;
    Addressdbe: TDBEdit;
    Salarydbe: TDBEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    JobTitlesdbg: TDBGrid;
    Keydbe: TDBEdit;
    AllJobTitlesdbg: TDBGrid;
    Addbtn: TButton;
    Removebtn: TButton;
    Refreshbtn: TButton;
    Minimumtxb: TEdit;
    Filterbtn: TButton;
    GroupBox1: TGroupBox;
    DBLookupListBox1: TDBLookupListBox;
    JobTitledbe: TDBEdit;
    MiminumSalarydbe: TDBEdit;
    Button1: TButton;
    Workmannvg: TDBNavigator;
    procedure Button1Click(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure WorkmannvgClick(Sender: TObject; Button: TNavigateBtn);
    procedure AddbtnClick(Sender: TObject);
    procedure RefreshbtnClick(Sender: TObject);
    procedure RemovebtnClick(Sender: TObject);
    procedure FilterbtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Mainfrm: TMainfrm;

implementation

{$R *.dfm}

procedure TMainfrm.Button1Click(Sender: TObject);
begin
  AboutBox.ShowModal
end;

procedure TMainfrm.FormResize(Sender: TObject);
const SM=10;CountFields=5;
begin
{  Mainfrm.Workmandbg.Top:=SM+Fieldgrb.Height;
  Mainfrm.Workmandbg.Left:=SM;
  Mainfrm.Workmandbg.Width :=Mainfrm.ClientWidth-Mainfrm.Workmandbg.Left-SM;
  Mainfrm.Workmandbg.Height:=Mainfrm.ClientHeight-Mainfrm.Workmandbg.Top-Mainfrm.Workmannvg.ClientHeight-SM;
  Mainfrm.Workmannvg.Top:=Workmandbg.Top+Workmandbg.Height ;
  Fieldgrb.ClientWidth:=Workmandbg.ClientWidth   ;
  Surnamedbe.Left:=10;
  namedbe.Left:=Round(Fieldgrb.Width /CountFields);
  Fathernamedbe.Left:=Round(Fieldgrb.Width /CountFields*2);
  Addressdbe.Left:=Round(Fieldgrb.Width /CountFields*3);
  Salarydbe.Left:=Round(Fieldgrb.Width /CountFields*4);

  Surnamedbe.Width:=Round(Fieldgrb.Width/Countfields);
  namedbe.Width:=Round(Fieldgrb.Width/Countfields);
  Fathernamedbe.Width:=Round(Fieldgrb.Width/Countfields);
  ADdressdbe.Width:=Round(Fieldgrb.Width/Countfields);
  Salarydbe.Width:=Round(Fieldgrb.Width/Countfields)-10;     }
end;

procedure TMainfrm.WorkmannvgClick(Sender: TObject; Button: TNavigateBtn);
var str1,str2,str3:String;
begin
  str1:=' SELECT ., .,. FROM ,  WHERE  .=';
  str3:= ' AND .=.';
  str2:=IntToStr(Keydbe.Field.AsInteger);
  Datafrm.JobTitlesqry.SQL[0]:=str1+str2+str3;
  Datafrm.JobTitlesqry.Open;
end;

procedure TMainfrm.AddbtnClick(Sender: TObject);
var str1,str2,str3,str4:String;
   reckey:integer;
   Last,n:integer;
begin
  reckey:=Integer(Datafrm.AllJobTitlesqry.FieldValues['']);
  last:=Datafrm.JobTitlesqry.RecNo;
   with datafrm do
  begin
   
    for n:=1 to jobTitlesqry.RecordCount do
    begin
      Jobtitlesqry.RecNo:=n;
      if (JobTitlesqry.FieldValues['']=reckey)then
        begin
          MessageBox(Mainfrm.Handle,'        .','ERROR',MB_ICONERROR);

         Exit;
        end;
    end;

  JobTitlesqry.RecNo:=last;
  end;

  Datafrm.Addqry.SQL.Clear;
  Datafrm.Addqry.SQL.Add('INSERT INTO  (, )  VALUES(');
  Datafrm.Addqry.SQL.Add(Keydbe.Field.AsString);
  Datafrm.Addqry.SQL.Add(', '+AllJobTitlesdbg.Fields[0].AsString+')');
//  str4:=str1+str2+str3;
//  Datafrm.Addqry.SQL[0]:=str4;
  Datafrm.Addqry.ExecSQL;
  Datafrm.JobTitlesqry.Active:=FALSE;
  Datafrm.JobTitlesqry.Active:=TRUE;
end;

procedure TMainfrm.RefreshbtnClick(Sender: TObject);
var str1,str2,str3,str4:String;
begin
  str1:=' SELECT ., .,. FROM ,  WHERE  .=';
  str3:= ' AND .=.';
  str2:=IntToStr(Keydbe.Field.AsInteger);
  Datafrm.JobTitlesqry.SQL[0]:=str1+str2+str3;
  Datafrm.JobTitlesqry.Open;
end;

procedure TMainfrm.RemovebtnClick(Sender: TObject);
var str1,str2,str3,str4:string;
begin
  if (Datafrm.JobTitlesqry.IsEmpty) Then
  begin
    messageBox(mainfrm.Handle,'   ...','',MB_ICONERROR);
    exit;
  end;
  str1:='DELETE FROM  WHERE .=';
  str2:=IntToStr(Datafrm.JobTitlesqry.FieldValues[''])+'AND  .=';
  str3:=IntToStr(datafrm.JobTitlesqry.FieldValues['']);
  Datafrm.Removeqry.SQL[0]:=str1+str2+str3;
  Datafrm.Removeqry.ExecSQL;
  Datafrm.JobTitlesqry.Active:=FALSE;
  Datafrm.JobTitlesqry.Active:=TRUE;

end;

procedure TMainfrm.FilterbtnClick(Sender: TObject);
var str1:String;
  n,Code:integer;
begin
  with Datafrm do
  begin
    AllJobtitlesqry.Filtered:=FALSE;
    Val(Minimumtxb.Text,n,Code);
    str1:=IntToStr(n);
    if (Code<>0) then
    begin
      MessageBox(Mainfrm.Handle,' " "   !!!','',MB_ICONERROR);
      exit;
    end;
    AllJobTitlesqry.Filter:='_<'+str1;
    AllJobtitlesqry.Filtered:=TRUE;
  end;
end;

end.
